
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android中GIF动图的播放控制和监听详解 / iVAN</title>

    <meta name="description" content="Android中GIF动图的播放控制和监听详解 前言 最近接手的项目里涉及到了 GIF 动图的播放与监听,在上一版本中对于 GIF 的处理是由 H5 来实现的,因为考虑到用户体验,因此现在的需求是将这块儿原生化,途中差点误入歧途!下面来看看详细的介绍吧. Android 中 GIF 动图处理与监听 刚开始第一个想到的便是 glide , 但是自认为 glide 不能够控制 GIF 以及去监听它,所以网上去搜寻别的方法.看到有一个方案是将图片分帧,一张张的去用逐帧动画来实现. 我开始怀疑给这个解决方案的人了,都什么时代了还做这种费力不讨好,大量">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android中GIF动图的播放控制和监听详解</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>前言</p>
<p>最近接手的项目里涉及到了 GIF 动图的播放与监听，在上一版本中对于 GIF 的处理是由 H5 来实现的，因为考虑到用户体验，因此现在的需求是将这块儿原生化，途中差点误入歧途！下面来看看详细的介绍吧。</p>
<p>Android 中 GIF 动图处理与监听</p>
<p>刚开始第一个想到的便是 glide , 但是自认为 glide 不能够控制 GIF 以及去监听它，所以网上去搜寻别的方法。看到有一个方案是将图片分帧，一张张的去用逐帧动画来实现。</p>
<p>我开始怀疑给这个解决方案的人了，都什么时代了还做这种费力不讨好，大量占用用户内存的东西！于是乎动手前又仔细 Google 了一番，答案着实令我尴尬，glide 是可以控制 GIF 动画的！！！</p>
<p>怒上代码 ：使用glide 加载 GIF 动图</p>
<p>Glide.with(DoorActivity.this).load(R.drawable.opendoor).into(openDoorGif);<br />
<br />很简单的一行代码就可以搞定，以上方式图片和动图都可以加载（网络链接亦可）</p>
<p>下面是只可以加载 GIF 动图的写法：</p>
<p>Glide.with(DoorActivity.this).load(R.drawable.opendoor).asGif().into(openDoorGif);<br />
<br />其实就多了个 asGIF</p>
<p>但是这种方式下的动图播放一直是循环的，有什么方式可以停下来呢！没遇到过千万别说没必要，假如现在有一个需求，需要点击一下按钮来播放一次 GIF 实现与用户的交互呢？这个技能我想你肯定是要 get 的，因为类似需求你迟早会碰到！</p>
<p>下面写法实现了对 GIF 动图的控制</p>
<p>//handler发送消息成功的状态码 private static final int MESSAGE_SUCCESS = 4424; //handler发送消息所携带的参数（持续时间） private int duration; /** * 加载开门Gif动图(只播放一次) * @param view */ public void loadGif(View view){ Glide.with(this) .load(R.drawable.opendoor) .diskCacheStrategy(DiskCacheStrategy.SOURCE) .listener(new RequestListener&lt;Integer, GlideDrawable&gt;() { @Override public boolean onException(Exception arg0, Integer arg1, Target&lt;GlideDrawable&gt; arg2, boolean arg3) { return false; } @Override public boolean onResourceReady(GlideDrawable resource, Integer model, Target&lt;GlideDrawable&gt; target, boolean isFromMemoryCache, boolean isFirstResource) { // 计算动画时长 GifDrawable drawable = (GifDrawable) resource; GifDecoder decoder = drawable.getDecoder(); for (int i = 0; i &lt; drawable.getFrameCount(); i++) { duration += decoder.getDelay(i); } //发送延时消息，通知动画结束 //以下两个参数都是 int 型，记得如上的声明 handler.sendEmptyMessageDelayed(MESSAGE_SUCCESS, duration); return false; } }) //仅仅加载一次gif动画 //此处的参数 1 及时指明播放次数 .into(new GlideDrawableImageViewTarget(openDoorGif, 1)); }<br />
<br />使用这种方式就可以完美的实现对 GIF 的控制，对我遇到的需求提供了良性支持！</p>
<p>总结</p>
<p>以上就是这篇文章的全部内容了，希望本文的内容对给位Android开发者们能带来一定的帮助，如果有疑问大家可以留言交流，谢谢大家对脚本之家的支持。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-16 12:48:48</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/gif%e6%92%ad%e6%94%be/" title="gif播放">gif播放</a>, <a href="https://www.iamivan.net/tag/gif%e6%92%ad%e6%94%be%e6%8e%a7%e4%bb%b6/" title="gif播放控件">gif播放控件</a>, <a href="https://www.iamivan.net/tag/gif%e6%92%ad%e6%94%be%e4%b8%80%e6%ac%a1/" title="gif播放一次">gif播放一次</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android中GIF动图的播放控制和监听详解的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDyv9Ob.html" rel="bookmark">Android中系统自带锁WalkLock与KeyguardLock用法实例详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android中系统自带锁WalkLock与KeyguardLock用法.分享给大家供大家参考,具体如下: WalkLock - 顾名思义 唤醒锁 点亮屏幕用的 KeyguardLock - 顾名思义 键盘锁 解锁键盘用的 详细介绍: 1: WalkLock 唤醒锁 - WalkLock真的能点亮屏幕吗? 答案是肯定的. 可是有时候为什么不点亮屏幕,这个就是参数设置的问题了. 复制代码 代码如下:PowerManager.newWakeLock(PowerManager.FULL_			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z76N9Kp.html" rel="bookmark">Android中wifi与数据流量的切换监听详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近在做一个wifi和移动数据的监控功能,来来回回折腾了一阵子,这个模块的主要功能是监听整个APP的wifi与数据流量的切换,让用户使用专用流量,而不是用wifi,给一个弹窗,点击确认,自动切换数据流量,关闭wifi.我的思路是写一个静态广播,监听在广播里面进行监听,启用系统弹窗,点击确认,自动切换网络,这里面有一个坑就是弹窗会在广播中多次被调用,其实只调用了一次,但是实际上多次调用系统的弹窗会一个叠加一个,搞了好久,终于搞好了,原来是系统广播导致的叠加,详情看代码: 网络封装类Connecti			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgE028z.html" rel="bookmark">Android中使用am命令实现在命令行启动程序详解&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Android中,除了从界面上启动程序之外,还可以从命令行启动程序,使用的是命令行工具am. 复制代码 代码如下: usage: am [subcommand] [options]     start an Activity: am start [-D]         -D: enable debugging     send a broadcast Intent: am broadcast     start an Instrumentation: am instrument [flags			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDyLlLb.html" rel="bookmark">Android中使用am命令实现在命令行启动程序详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Android中,除了从界面上启动程序之外,还可以从命令行启动程序,使用的是命令行工具am. 复制代码 代码如下: usage: am [subcommand] [options] start an Activity: am start [-D]         -D: enable debugging send a broadcast Intent: am broadcast start an Instrumentation: am instrument [flags]         -r			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2ZryBb.html" rel="bookmark">Android中使用socket通信实现消息推送的方法详解&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原理最近用socket写了一个消息推送的demo,在这里和大家分享一下. 主要实现了:一台手机向另外一台手机发送消息,这两台手机可以随时自由发送文本消息进行通信,类似我们常用的QQ. 效果图: 原理:手机通过socket发送消息到服务器,服务器每接收到一条消息之后,都会把这条消息放进一个messageList里面,服务器会不停地检测messageList是否含有消息,如果有的话就会根据messageList里面item的数据,推送到相应的另一端手机上面. 下面简单画了一个图来说明这个原理: 演示			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3kdoAb.html" rel="bookmark">Android中使用socket通信实现消息推送的方法详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原理 最近用socket写了一个消息推送的demo,在这里和大家分享一下. 主要实现了:一台手机向另外一台手机发送消息,这两台手机可以随时自由发送文本消息进行通信,类似我们常用的QQ. 效果图: 原理:手机通过socket发送消息到服务器,服务器每接收到一条消息之后,都会把这条消息放进一个messageList里面,服务器会不停地检测messageList是否含有消息,如果有的话就会根据messageList里面item的数据,推送到相应的另一端手机上面. 下面简单画了一个图来说明这个原理: 演			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKq45Lp.html" rel="bookmark">基于Android中Webview使用自定义的javascript进行回调的问题详解&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				先说为什么需要讨论这个问题. 现在很多的手机应用,都可能会直接嵌入一个web页面.这样做的好处:一个是功能更新方便,维护起来容易,只需要维护服务器的页面即可,不需要更新客户端:另一个是功能通用,不仅android可以用,ios也可以用,symbian也可以直接用. 那为什么现在很多手机应用并不做成web方式的呢?原因很多.一个是现阶段web方式展现能力相对较弱,如果对于应用的美观程度要求比较高,就无法使用web方式:一个是web方式速度相对较慢,用户体验会受一些影响:一个是现阶段流量还是相对宝贵			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zO2r7qp.html" rel="bookmark">基于Android中Webview使用自定义的javascript进行回调的问题详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				先说为什么需要讨论这个问题. 现在很多的手机应用,都可能会直接嵌入一个web页面.这样做的好处:一个是功能更新方便,维护起来容易,只需要维护服务器的页面即可,不需要更新客户端:另一个是功能通用,不仅android可以用,ios也可以用,symbian也可以直接用. 那为什么现在很多手机应用并不做成web方式的呢?原因很多.一个是现阶段web方式展现能力相对较弱,如果对于应用的美观程度要求比较高,就无法使用web方式:一个是web方式速度相对较慢,用户体验会受一些影响:一个是现阶段流量还是相对宝贵			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bB1OAoz.html" rel="bookmark">修改按钮-Android中adapter数据传递出去与控制activity中按钮状态</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Android中adapter数据传递出去与控制activity中按钮状态 1C 求大神告知,我在adapter中获得了数据,是一个List 现在我在包适配器的这个activity中要用这个List如何将数据传递到activity中去呢?或者说我在activity中如何调用这个数据呢?还有一个问题,我在adapter中 viewHolder.imageIsCheck.setTag(position); convertView.setOnClickListener(new Content			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3kBJb.html" rel="bookmark" class="title">彻底解决中文名文件下载和下载文件内容乱码问题</a>
					<div>
						解决|问题|下载|中文 之前,写过一个Download.jsp文件,可以解决下载文件乱码问题(诸如:DOC,XSL文件等等).后来发现,遇到中文名的文件的时候,文件下载将会报错~~~~今天,通过改写原 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZjZwz.html" rel="bookmark" class="title">Delphi FireDAC 下的 Sqlite（四） 创建数据库</a>
					<div>
						建立数据库的代码: {建立内存数据库的一般代码:}begin FDConnection1.DriverName := 'SQLite'; //同 FDConnection1.Params.Add('D ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElE0qz.html" rel="bookmark" class="title">Win98内核分析&lpar;Kernel32&rpar;</a>
					<div>
						IBMBIO各模块的介绍. 一.环境管理块emb 要读入EMB,可使用INT 21 的52H号功能.调用该中断后,EMB的地址会放在ES:BX中.具体用法如下: C:\&gt;debug -a 0F6 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRy6JGb.html" rel="bookmark" class="title">office哪个版本办公软件好用？</a>
					<div>
						office哪个版本办公软件好用?   office office2003.2007.2010和2013使用体验对比: office2003版本可谓经典,于2003年9月17日推出,至今仍有很多用户. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLjY3b.html" rel="bookmark" class="title">使用AngularJS对路由进行安全性处理的方法</a>
					<div>
						  这篇文章主要介绍了使用AngularJS对路由进行安全性处理的方法,AngularJS是一款高人气的JavaScript库,需要的朋友可以参考下 简介 自从出现以后,AngularJS已经被使用很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBA4nz.html" rel="bookmark" class="title">word中阿拉伯数字转换成大写汉字</a>
					<div>
						  步骤/方法 首先在word中输入123456 然后选中输入的阿拉伯数字,在菜单栏中点击插入-数字. 弹出数字对话框, 在数字类型中选择中文数字版式&quot;壹.贰.叁-- 然后点击确定.此时就会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKnq9M.html" rel="bookmark" class="title">怎么解决Win7系统中音量小喇叭不出现音量调节按钮</a>
					<div>
						  1.打开开始菜单中的运行选项,并运行&quot;regedit&quot;进入注册表编辑器; 2.打开之后依次展开定位到HKEY_LOCAL_MACHINESOFTWAREMicrosoftWin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywGQvz.html" rel="bookmark" class="title">XP系统桌面设置不生效的处理方法</a>
					<div>
						处在这个互联网的时代,我们不管是工作还是学习,都无时无刻需要用到电脑,可是有时候一台电脑并不是只属于一个人使用,过多的用户使用一台电脑容易导致电脑桌面的设置发生改变,那么遇到这种情况,也就是别人改动了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWD6op.html" rel="bookmark" class="title">微信听筒模式怎么切换？</a>
					<div>
						  微信现如今已经在大部分情况下替代手机短信,成为了我们日常短信息首发工具,不过很多用户喜欢在微信中使用语音进行聊天,但默认播放语音消息时采用的扬声器模式,如果我们在公共场合下,担心自己的隐私消息被别 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZyZVz.html" rel="bookmark" class="title">XPath JAVA用法总结及代码样例</a>
					<div>
						一.基本概念介绍     XPath 是一门在 XML 文档中查找信息的语言, 可用来在 XML 文档中对元素和属性进行遍历.XPath 是 W3C XSLT 标准的主要元素,并且 XQuery 和  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3Bo6p.html" rel="bookmark" class="title">android-开发Android SDK的问题</a>
					<div>
						问题描述 开发Android SDK的问题 怎么增加android客户端时间校验协议,提高SDK采集时间字段的可靠性, 最好有文档链接,可以参考的 解决方案 A folder failed to be ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArZoep.html" rel="bookmark" class="title">运维侠客行杭州站沙龙回顾 &vert; 云时代下的运维管理实践（附干货下载）</a>
					<div>
						我们处在一个巨变的时代,在云计算.大数据和物联网等新技术.新理念不断更新的大背景下,企业同时面临着数字化和&quot;互联网+&quot;转型的双重挑战,企业对于&quot;稳态IT&quot;和&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvrva8M.html" rel="bookmark" class="title">keil编译 stc12c5a60s2的问题</a>
					<div>
						问题描述 keil编译 stc12c5a60s2的问题 1.我写了个项目程序,在small模式下编译提示内存不足. 2.然后我换成了compact模式,编译通过了,但运行不正常,准确的说是一部分正常, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lvYjb.html" rel="bookmark" class="title">Use the heap for dynamic storage</a>
					<div>
						在C中, 本地变量存储在进程的stack内存区域. 当函数执行完后, 函数体内的本地变量占用的内存会自动释放掉. 在Linux中使用ulimit -a可以查看到stack的限制, 也可以通过/etc/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lVY5b.html" rel="bookmark" class="title">关于即时通讯的界面问题&period;</a>
					<div>
						问题描述 我是个新手在单位实习公司有个项目做即时通讯,要我负责即时通讯的界面设计.我没有做过,向大家请教了. 解决方案 解决方案二:晕问题描述太简单!解决方案三:找个美工画吧解决方案四:我也是做界面的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqR9JZp.html" rel="bookmark" class="title">PC用户每天访问Facebook总时长达105亿分钟</a>
					<div>
						新浪科技讯 http://www.aliyun.com/zixun/aggregation/17197.html&quot;&gt;北京时间3月28日早间消息,Facebook周二向美国证券交易委员会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXr9jz.html" rel="bookmark" class="title">互联网公司各种逼格饭堂</a>
					<div>
						互联网公司各种逼格饭堂 时间:2014-10-11 18:58 来源:互联网的一些事 作者:TR 10月11日 一些事 晚报 | 汇总今日最热资讯 1.[中国大学生就业十大苦处 真心不容易]大学生就业 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKQ8LM.html" rel="bookmark" class="title">jQuery实现鼠标悬停显示提示信息窗口的方法&lowbar;jquery</a>
					<div>
						本文实例讲述了jQuery实现鼠标悬停显示提示信息窗口的方法.分享给大家供大家参考.具体实现方法如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXK1q4M.html" rel="bookmark" class="title">RFID认证协议</a>
					<div>
						问题描述 我现在在做RFID认证协议意方面的研究,我想问下,如果要编程实现这个协议,要用的什么工具?什么语言?如果仿真的话有什么仿真工具吗? 解决方案 解决方案二:跟楼主一样的处境,一样的问题.楼主如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOWJ6b.html" rel="bookmark" class="title">环信集成问题</a>
					<div>
						问题描述 libEaseMobClientSDK.a(jsoncpp.o)) was built for newer iOS version (8.1) than being linked (7.0) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDk77lp.html" rel="bookmark" class="title">C&num;调用C&plus;&plus;dll传入参数后位数丢失</a>
					<div>
						问题描述 publicstructRequest{[MarshalAs(UnmanagedType.ByValTStr,SizeConst=12)]publicstringTransAmount;}S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWaJop.html" rel="bookmark" class="title">上海移动：发黄段子号码立废有误</a>
					<div>
						发现不良信息将暂停该号码短信功能 北京移动称手机发黄色短信将被停机 □记者 徐斌忠 上海移动昨天发布声明称,近期有关媒体关于&quot;手机发布黄色短信号码立废&quot;报道有误.上海移动在声明中称 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx2wa0z.html" rel="bookmark" class="title">linux-求救，at&amp;amp&semi;amp&semi;amp&semi;a汇编报段错误</a>
					<div>
						问题描述 求救,at&amp;a汇编报段错误 .code32 .section .data .section .text .globl _start _start: pushl $1 movl (%e ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK09vdM.html" rel="bookmark" class="title">Ubuntu声音故障解决方案</a>
					<div>
						In alsamixer,请检查系统有没有被设置成&quot;静音&quot;模式以及检查音量是否被调整到合适的大小. 如果发现面板中没有&quot;音量控制按钮&quot;,请按照下列方法将&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZm13kp.html" rel="bookmark" class="title">请问在哪里下载配置tomcat和domino服务器的tomcat-domino&period;zip文件？</a>
					<div>
						问题描述 请问在哪里下载配置tomcat和domino服务器的tomcat-domino.zip文件? 解决方案 解决方案二:该回复于2010-08-27 15:41:16被版主删除					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk7y75p.html" rel="bookmark" class="title">Unrecognized xbean element mapping&colon; beans in namespace http&colon;&sol;&sol;xfire&period;codehaus&period;org&sol;config&sol;1&period;0</a>
					<div>
						原因是因为xfire中内嵌的是spring1.2.8,而spring的1.X与2.X之间命名空间的方式改变了- 解决方式: 将原来的文件如下 &lt;beans xmlns=&quot;http:// ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwyEQWM.html" rel="bookmark" class="title">中国SaaS行业呈爆发式增长，乾通嗖嗖力求成为中国Workday</a>
					<div>
						SaaS通过互联网向厂商定购所需的应用软件服务,从根本上改变了产品.服务以及SaaS供应商与客户之间的关系.对于正在大众创业.万众创新的中国市场来说,SaaS模式消除了企业购买.构建和维护基础设施和应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgP8B8p.html" rel="bookmark" class="title">网易云音乐重磅出击 iPad版正式上线</a>
					<div>
						5月22日, 网易云音乐iPad 1.0版正式上架苹果App Store,作为业界领先的互联网音乐平台,其iPad版本一直以来备受用户期待.最新上线的iPad版本不但完美适配iPad平台,同时还增加了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWwA1M.html" rel="bookmark" class="title">javascript验证问题</a>
					<div>
						问题描述 &lt;scripttype=&quot;text/javascript&quot;&gt;functioncheckInput(){varstartDate=document.getEle ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG38e2z.html" rel="bookmark" class="title">2016年大数据专家值得期待的8件事</a>
					<div>
						随着经济的复苏,全行业又掀起了雇佣潮,企业更偏向技能娴熟的应聘者.当然,这在聘用大数据专家时也一样奏效.数据质量总监.软件工程师.平台软件工程师.数据库工程师.大数据平台工程师,安全分析师,分析师和信 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
